<?php
include('conexion.php');

$dato = $_POST['dato'];

$con = mysqli_query($conexion,"SELECT * FROM Ventas WHERE IdVenta='$dato'");
$f = mysqli_fetch_array($con);

$serie = $f['Serie'];
$folio = $f['FolioVenta'];
$tipoorden = $f['TipoOrden'];
$tipofolio = $f['TipoFolio'];
$cliente = $f['IdCliente'];
$idsucord = $f['IdSucursal'];
$user = $_SESSION['id_user'];
$suc = $_SESSION['IdSuc'];
$tipou= $_SESSION['tipouser'];
$nomadmin = $_SESSION['nom_admin'];
$priv = $_SESSION['Priv'];
$tipou= $_SESSION['tipouser'];
$antimon = $f['Monedero'];

$c = mysqli_query($conexion,"SELECT * FROM Clientes WHERE IdCliente = '$cliente'");
$cf = mysqli_fetch_array($c);
$nomc = $cf['Nombre'];
$tipoc = $cf['TipoCliente'];

if($idsucord == 1){
    $pre .= 'CUL-';
    
    }else if ($idsucord == 2){
        $pre .= 'MAZ-';
    }else if($idsucord == 3){
        $pre .= 'HER-';
    }

if($tipofolio == 1){
	$foli = mysqli_query($conexion,"SELECT FolioVenta from Ventas WHERE  IdSucursal = '$idsucord'  AND Activo = '1' order by FolioVenta desc limit 1");
    $f = mysqli_fetch_array($foli);
    $num = $f['FolioVenta']+1;
    $num = sprintf('%04d',$num);
}

if($antimon > 0 && $priv > 2){
	$cmon = mysqli_query($conexion,"SELECT * FROM Monedero WHERE IdCliente = '$cliente' AND Activo = 1" );
	$cmo = mysqli_fetch_array($cmon);
	$salact = $cmo['SaldoActual'];
	$saldototal = $salact - $antimon;
	$updt = mysqli_query($conexion,"UPDATE Monedero SET SaldoActual = '$saldototal' WHERE IdCliente = '$cliente' AND Activo = 1");
}

$prue = mysqli_query($conexion,"INSERT INTO Ventas (TipoOrden, IdVendedor, Serie, FolioVenta, TipoFolio, FechaVenta, FechaBusq, IdSucursal, IdCliente, Subtotal, Descuento, Total, Anticipo, Saldo, Obs, HoraEntrega, FechaEntrega, EdoFact, NumFact, EstadoPago, EstadoOrden, Activo, CostoTotal, Utilidad) SELECT TipoOrden, IdVendedor, Serie, FolioVenta, TipoFolio, FechaVenta, FechaBusq, IdSucursal, IdCliente, Subtotal, Descuento, Total, Anticipo, Saldo, Obs, HoraEntrega, FechaEntrega, EdoFact, NumFact, EstadoPago, 11, 0, CostoTotal, Utilidad FROM Ventas Where IdVenta ='$dato'");

$vendet = mysqli_query($conexion,"INSERT INTO VentasDetalle (Serie, IdVenta, TipoPrecio, Cantidad, Largo, Ancho, Umed, Area, CodProd, CrisN, CrisA, Ml, Res, PapF, Text, Canva, Acrilico, DobleCara, ObsProd, PrecioMold, PrecioCrisN, PrecioCrisA, PrecioMl, PrecioRes, PrecioPapel, PrecioText, PrecioMaq, PrecioCanva, PrecioAcrilico, PrecioDobleCara, PrecioTotal, cmold, ccn, cca, cml, cr, cpap, ctext, ccan, cdc, ctotal, IdUsuario, Fecha, IdSucursal, Activo, TiraC, PTiraC, CTiraC) SELECT Serie, IdVenta, TipoPrecio, Cantidad, Largo, Ancho, Umed, Area, CodProd, CrisN, CrisA, Ml, Res, PapF, Text, Canva, Acrilico, DobleCara, ObsProd, PrecioMold, PrecioCrisN, PrecioCrisA, PrecioMl, PrecioRes, PrecioPapel, PrecioText, PrecioMaq, PrecioCanva, PrecioAcrilico, PrecioDobleCara, PrecioTotal, cmold, ccn, cca, cml, cr, cpap, ctext, ccan, cdc, ctotal, IdUsuario, Fecha, IdSucursal, 0, TiraC, PTiraC, CTiraC FROM VentasDetalle WHERE Serie= '$serie' AND IdVenta = '$folio' AND Activo = 1");



$movet = mysqli_query($conexion,"INSERT INTO Movimientos (Serie, FolioVenta, Descripcion, TipoMovimiento, Fecha, Total, Anticipo, Saldo, IdUsuario, IdSucursal, Activo, FechaB, MetodoPago, TipoEgreso) SELECT Serie, FolioVenta, Descripcion, TipoMovimiento, Fecha, Total, Anticipo, Saldo, IdUsuario, IdSucursal, 0, FechaB, MetodoPago, TipoEgreso  FROM Movimientos WHERE Serie = '$serie' AND FolioVenta = '$folio' AND Activo = 1");

$ex =	mysqli_query($conexion,"UPDATE Ventas SET Serie='$pre', FolioVenta ='$num', EstadoOrden ='10',Activo = 1 WHERE IdVenta= '$dato'");
$exvd = mysqli_query($conexion,"UPDATE VentasDetalle SET Serie='$pre', IdVenta = '$num' WHERE Serie = '$serie' AND IdVenta = '$folio' AND Activo = 1");

$mb = mysqli_query($conexion,"SELECT * FROM Movimientos WHERE Serie = '$serie' AND FolioVenta = '$folio' AND Activo = 1");
while($mf = mysqli_fetch_array($mb)){
	$idm = $mf['IdMovimiento'];
	$tipomov = $mf['TipoMovimiento'];
	if($tipomov == 1){
		$desc = 'ORDEN CAPTURADA FOLIO '.$pre.''.$num.' CLIENTE '.$nomc;
	}else if($tipomov == 3){
		$desc = 'PAGO CAPTURADO ORDEN '.$pre.''.$num;
	}else if($tipomov == 5){
		$desc = 'ORDEN EDITADA FOLIO '.$pre.''.$num.' CLIENTE '.$nomc;
	}
	$exmov = mysqli_query($conexion,"UPDATE Movimientos SET Serie = '$pre', FolioVenta = '$num', Descripcion = '$desc' WHERE IdMovimiento = '$idm' AND Activo = 1");
}
$completo = $pre.$num;
echo $completo;




?>